#pragma once
#include "global.h"
class CDiary : public CDialog
{
	DECLARE_DYNAMIC(CDiary)
	DECLARE_MESSAGE_MAP()
public:
	CDiary(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~CDiary();
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_CMAINEDITOR_DIARY };
#endif
	void* pMainEditor = nullptr;
	int year;
	int month;
	int day;
	void UpdateWindowTitle();
	bool CheckSaved();
protected:
	void DoDataExchange(CDataExchange* pDX) override;
	BOOL OnInitDialog() override;
public:
	afx_msg void OnEnChangeEditDiary();
	afx_msg void OnSaveDiary();
private:
	//控件
	CEdit edit_diary;
	CString diary_saved;
	////////////////////热键//////////////////
	HACCEL hAccel = nullptr;//热键
	BOOL PreTranslateMessage(MSG* pMsg) override;
};

